#ifndef BPMPLOT_H
#define BPMPLOT_H

#include <cucontrolsfactorypool.h>
#include <quspectrumplot.h>

class QuTimeArray3DPlotPlugin_I;

class BpmPlot
{
public:
    BpmPlot(QWidget *parent, CumbiaPool *cp, const CuControlsFactoryPool& fp, QuTimeArray3DPlotPlugin_I *ta3dp);
    QWidget *widget();
    void setSource(const QString& s);

private:
    QuSpectrumPlot *m_p;
    QWindow *m_surface;
    QWidget *m_container;
    QuTimeArray3DPlotPlugin_I *m_ta3dp;
    CumbiaPool *m_cu_p;
    const CuControlsFactoryPool m_fpool;
};

#endif // BPMPLOT_H
